Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231655 - [RFE] ability run sysctl after modules are loaded
Summary: [RFE] ability run sysctl after modules are loaded
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: module-init-tools
Version: 4.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jon Masters
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-09 20:27 UTC by Neil Doane
Modified: 2007-11-17 01:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-22 19:59:46 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Neil Doane 2007-03-09 20:27:34 UTC
Description of problem:
All 4&5

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Parameters in sysctl.conf relating to modules are not set after modules load.

Expected results:
Parameters in sysctl.conf are set after modules load.  

Additional info:


Please see: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=189310 for
detailed additional info.
...see also:
https://enterprise.redhat.com/issue-tracker/?module=issues&action=view&tid=88294
For an example of this behavior.

I've previous submitted this as an initscript RFE, but it was closed as
unfixable and the recommendation was one of two alternatives, either the
creation of modprobe.conf entries that run sysctl on module load, or udev rules
that run sysctl after module registration.  Seems like the most easily
configurable choice would be some type of modprobe.conf entry that caused sysctl
to be run.


Note You need to log in before you can comment on or make changes to this bug.